LIB "cusp.lib";
LIB "spectrum.lib";
ring R=0,(x,y),ds;
// compute the spetra of the often used small singularities
list s2  =spectrum_plane(mult2puiseux_exp(intvec(2,1,1)));
list s22 =spectrum_plane(mult2puiseux_exp(intvec(2,2,1,1)));
list s222=spectrum_plane(mult2puiseux_exp(intvec(2,2,2,1,1)));
list s3  =spectrum_plane(mult2puiseux_exp(intvec(3,1,1,1)));

//degree 18
list s18=spectrumnd( x^18+y^18 ); // spectrum to compare with
list s88884443   =spectrum_plane(mult2puiseux_exp(intvec(8,8,8,8,4,4,4,3,1,1,1))); 
list s88884442222=spectrum_plane(mult2puiseux_exp(intvec(8,8,8,8,4,4,4,2,2,2,2,1,1))); 
list s8888444222 =spectrum_plane(mult2puiseux_exp(intvec(8,8,8,8,4,4,4,2,2,2,1,1))); 
list s888844422  =spectrum_plane(mult2puiseux_exp(intvec(8,8,8,8,4,4,4,2,2,1,1))); 
list c18_1=spadd(spadd(spadd(s88884443,s2),s2),s2);// combinations of the singularities in question
list c18_2=spadd(spadd(s88884443,s2),s22);
list c18_3=spadd(spadd(s88884442222,s2),s2);
list c18_4=spadd(spadd(spadd(s8888444222,s2),s2),s2);
list c18_5=spadd(spadd(s8888444222,s2),s22);
list c18_6=spadd(spadd(s888844422,s2),s3);
list c18_7=spadd(spadd(s888844422,s2),s222);
list c18_8=spadd(spadd(s888844422,s22),s22);
list c18_9=spadd(spadd(spadd(s888844422,s2),s2),s22);
list c18_10=spadd(spadd(spadd(spadd(s888844422,s2),s2),s2),s2);

spissemicont(spsub(s18,s88884443));// the big singularities seem possible
spissemicont(spsub(s18,s88884442222));
spissemicont(spsub(s18,s8888444222));
spissemicont(spsub(s18,s888844422));
spissemicont(spsub(s18,c18_1)); // but combinations do not
spissemicont(spsub(s18,c18_2));
spissemicont(spsub(s18,c18_3));
spissemicont(spsub(s18,c18_4));
spissemicont(spsub(s18,c18_5));
spissemicont(spsub(s18,c18_6));
spissemicont(spsub(s18,c18_7));
spissemicont(spsub(s18,c18_8));
spissemicont(spsub(s18,c18_9));
spissemicont(spsub(s18,c18_10));


// degree 19
list s19=spectrumnd( x^19+y^19 ); // spectrum to compare with
list s12_3332=spectrum_plane(mult2puiseux_exp(intvec(12,6,6,6,6,6,3,3,3,2,1,1))); 
list s12_333 =spectrum_plane(mult2puiseux_exp(intvec(12,6,6,6,6,6,3,3,3,1,1,1))); 
list c19_1=spadd(spadd(s12_3332,s2),s2); // combinations of the singularities in question
list c19_2=spadd(spadd(spadd(s12_333,s2),s2),s2);
list c19_3=spadd(spadd(s12_333 ,s2),s22);

spissemicont(spsub(s19,s12_3332));// the big singularities seem possible
spissemicont(spsub(s19,s12_333));
spissemicont(spsub(s19,c19_1)); // but combinations do not
spissemicont(spsub(s19,c19_2));
spissemicont(spsub(s19,c19_3));


// degree 20
list s20=spectrumnd( x^20+y^20 ); // spectrum to compare with
list s888888=spectrum_plane(mult2puiseux_exp(intvec(8,8,8, 8,8,8,1,1,1,1,1,1,1,1))); 
list c20_1=spadd(spadd(spadd( s888888,s2),s2),s2);// combinations of the singularities in question
list c20_2=spadd(spadd( s888888,s2),s22);

spissemicont(spsub(s20,s888888));// the big singularity seems possible
spissemicont(spsub(s20,c20_1)); // but combinations do not
spissemicont(spsub(s20,c20_2));
quit;

